package edu.travel.cache.annotation;

import edu.travel.cache.config.EduTravelCacheConfig;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Import;
import org.springframework.data.redis.cache.RedisCacheConfiguration;

import java.lang.annotation.*;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Import(EduTravelCacheConfig.class)
@EnableCaching
@Documented
@Inherited
public @interface EnableRedisCache {
}
