package edu.travel.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class EduTenantPO extends BaseEntity {
    /**
     * 主键
     */
    private Long id;

    /**
     * 姓
     */
    private String tenantSurname;

    /**
     * 名
     */
    private String tenantName;

    /**
     * 性别 0男 1女
     */
    private Integer tenantSex;

    /**
     * 头像
     */
    private String tenantAvatar;

    /**
     * 手机号
     */
    private String tenantPhone;

    /**
     * 密码
     */
    private String password;

    /**
     * 地区区号
     */
    private String tenantArea;

    /**
     * 生日日期
     */
    private Date tenantBirthday;

    /**
     * 微信小程序openid
     */
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    private String tenantUnionid;

    /**
     * 现实名
     */
    private String showName;

    /**
     * 用户状态
     */
    private Integer userStatus;
}