package edu.travel.cache.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@Inherited
public @interface ClearAndReloadCache {
    boolean value() default true;

    String cachePrefix();

    String cacheSuffix();

    boolean prefixFactory() default true;
}
