package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 意见表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_opinion")
public class ShopOpinion extends BaseEntity {
    /**
     * 意见类型ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 国家id
     */
    @TableField(value = "country_id")
    private Long countryId;

    /**
     * 意见类型id
     */
    @TableField(value = "type_id")
    private Long typeId;

    /**
     * 描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 意见处理,默认0,0未处理,1已处理
     */
    @TableField(value = "`state`")
    private Integer state;


}