package edu.travel.commodity.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import edu.travel.commodity.dto.ProductSpecDto;
import edu.travel.commodity.entity.ShopProduct;
import edu.travel.commodity.entity.ShopProductSpec;
import edu.travel.commodity.mapper.ShopProductSpecMapper;
import edu.travel.commodity.service.ShopProductService;
import edu.travel.commodity.service.ShopProductSpecService;
import edu.travel.commodity.vo.ProductSpecVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ShopProductSpecServiceImpl extends ServiceImpl<ShopProductSpecMapper, ShopProductSpec> implements ShopProductSpecService {
    @Autowired
    private ShopProductService shopProductService;

    @Override
    public List<ProductSpecVo> getShopSpec(ProductSpecDto param) {

        shopProductService.lambdaQuery().eq(ShopProduct::getId, param.getProductId())
                .eq(ShopProduct::getCountryId, param.getCountryId());



        return null;
    }
}
